"""
Tests usages of Pytdl from the command line,
mainly the argument parser

Released under Eclipse Public License v1
"""
import subprocess

def test_cmd_help():
    """
    Test using the validate command
    """
    assert subprocess.call(["bash", "../pytdl", "-h"]) == 0

def test_cmd_validate():
    """
    Test using the validate command
    """
    assert subprocess.call(["bash", "../pytdl", "validate", "../tdl_examples/login.tdlan2"]) == 0


def not_test_cmd_validate_ex1():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/TDL_Part1_Ex1.tdlan2"]) == 0

def test_cmd_validate_ex1_v2():
    """
    Test that the first example from Part 1 (using Package instead of TDLan Specification)
    can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/TDL_Part1_Ex1_v2.tdlan2"]) == 0

def not_test_cmd_validate_ex2():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/TDL_Part1_Ex2.tdlan2"]) == 0

def test_cmd_validate_ex2_v2():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/TDL_Part1_Ex2_v2.tdlan2"]) == 0

def test_cmd_validate_v1_5_ex1():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
        "../tdl_examples/ETSI-ES-203-119-1-V1.5_Example_1.tdlan2"
        ]) == 0

def test_cmd_validate_v1_5_ex2():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/ETSI-ES-203-119-1-V1.5_Example_2.tdLan2"]) == 0

def test_cmd_validate_v1_5_ex3():
    """
    Test that the first example from Part 1 can be parsed
    """
    assert subprocess.call([
        "bash", "../pytdl", "validate", 
    "../tdl_examples/ETSI-ES-203-119-1-V1.5_Example_3.tdLan2"]) == 0
